Merge from emacs-24; up to 2012-05-02T11:38:01Z!lekktu@gmail.com
[bpt/emacs.git] / m4 / gnulib-comp.m4
1 # DO NOT EDIT! GENERATED AUTOMATICALLY!
2 # Copyright (C) 2002-2012 Free Software Foundation, Inc.
3 #
4 # This file is free software; you can redistribute it and/or modify
5 # it under the terms of the GNU General Public License as published by
6 # the Free Software Foundation; either version 3 of the License, or
7 # (at your option) any later version.
8 #
9 # This file is distributed in the hope that it will be useful,
10 # but WITHOUT ANY WARRANTY; without even the implied warranty of
11 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
12 # GNU General Public License for more details.
13 #
14 # You should have received a copy of the GNU General Public License
15 # along with this file. If not, see <http://www.gnu.org/licenses/>.
16 #
17 # As a special exception to the GNU General Public License,
18 # this file may be distributed as part of a program that
19 # contains a configuration script generated by Autoconf, under
20 # the same distribution terms as the rest of that program.
21 #
22 # Generated by gnulib-tool.
23 #
24 # This file represents the compiled summary of the specification in
25 # gnulib-cache.m4. It lists the computed macro invocations that need
26 # to be invoked from configure.ac.
27 # In projects that use version control, this file can be treated like
28 # other built files.
29
30
31 # This macro should be invoked from ./configure.ac, in the section
32 # "Checks for programs", right after AC_PROG_CC, and certainly before
33 # any checks for libraries, header files, types and library functions.
34 AC_DEFUN([gl_EARLY],
35 [
36 m4_pattern_forbid([^gl_[A-Z]])dnl the gnulib macro namespace
37 m4_pattern_allow([^gl_ES$])dnl a valid locale name
38 m4_pattern_allow([^gl_LIBOBJS$])dnl a variable
39 m4_pattern_allow([^gl_LTLIBOBJS$])dnl a variable
40 AC_REQUIRE([gl_PROG_AR_RANLIB])
41 # Code from module alloca-opt:
42 # Code from module allocator:
43 # Code from module c-ctype:
44 # Code from module c-strcase:
45 # Code from module careadlinkat:
46 # Code from module clock-time:
47 # Code from module crypto/md5:
48 # Code from module crypto/sha1:
49 # Code from module crypto/sha256:
50 # Code from module crypto/sha512:
51 # Code from module dosname:
52 # Code from module dtoastr:
53 # Code from module dtotimespec:
54 # Code from module dup2:
55 # Code from module environ:
56 # Code from module extensions:
57 AC_REQUIRE([gl_USE_SYSTEM_EXTENSIONS])
58 # Code from module extern-inline:
59 # Code from module filemode:
60 # Code from module getloadavg:
61 # Code from module getopt-gnu:
62 # Code from module getopt-posix:
63 # Code from module gettext-h:
64 # Code from module gettime:
65 # Code from module gettimeofday:
66 # Code from module ignore-value:
67 # Code from module include_next:
68 # Code from module intprops:
69 # Code from module inttypes-incomplete:
70 # Code from module largefile:
71 AC_REQUIRE([AC_SYS_LARGEFILE])
72 # Code from module lstat:
73 # Code from module manywarnings:
74 # Code from module mktime:
75 # Code from module multiarch:
76 # Code from module nocrash:
77 # Code from module pathmax:
78 # Code from module pselect:
79 # Code from module pthread_sigmask:
80 # Code from module readlink:
81 # Code from module signal-h:
82 # Code from module snippet/_Noreturn:
83 # Code from module snippet/arg-nonnull:
84 # Code from module snippet/c++defs:
85 # Code from module snippet/warn-on-use:
86 # Code from module socklen:
87 # Code from module ssize_t:
88 # Code from module stat:
89 # Code from module stat-time:
90 # Code from module stdalign:
91 # Code from module stdarg:
92 dnl Some compilers (e.g., AIX 5.3 cc) need to be in c99 mode
93 dnl for the builtin va_copy to work. With Autoconf 2.60 or later,
94 dnl gl_PROG_CC_C99 arranges for this. With older Autoconf gl_PROG_CC_C99
95 dnl shouldn't hurt, though installers are on their own to set c99 mode.
96 gl_PROG_CC_C99
97 # Code from module stdbool:
98 # Code from module stddef:
99 # Code from module stdint:
100 # Code from module stdio:
101 # Code from module stdlib:
102 # Code from module strftime:
103 # Code from module strtoimax:
104 # Code from module strtoll:
105 # Code from module strtoull:
106 # Code from module strtoumax:
107 # Code from module symlink:
108 # Code from module sys_select:
109 # Code from module sys_stat:
110 # Code from module sys_time:
111 # Code from module time:
112 # Code from module time_r:
113 # Code from module timespec:
114 # Code from module timespec-add:
115 # Code from module timespec-sub:
116 # Code from module u64:
117 # Code from module unistd:
118 # Code from module utimens:
119 # Code from module verify:
120 # Code from module warnings:
121 ])
122
123 # This macro should be invoked from ./configure.ac, in the section
124 # "Check for header files, types and library functions".
125 AC_DEFUN([gl_INIT],
126 [
127 AM_CONDITIONAL([GL_COND_LIBTOOL], [false])
128 gl_cond_libtool=false
129 gl_libdeps=
130 gl_ltlibdeps=
131 gl_m4_base='m4'
132 m4_pushdef([AC_LIBOBJ], m4_defn([gl_LIBOBJ]))
133 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gl_REPLACE_FUNCS]))
134 m4_pushdef([AC_LIBSOURCES], m4_defn([gl_LIBSOURCES]))
135 m4_pushdef([gl_LIBSOURCES_LIST], [])
136 m4_pushdef([gl_LIBSOURCES_DIR], [])
137 gl_COMMON
138 gl_source_base='lib'
139 gl_FUNC_ALLOCA
140 AC_CHECK_FUNCS_ONCE([readlinkat])
141 gl_CLOCK_TIME
142 gl_MD5
143 gl_SHA1
144 gl_SHA256
145 gl_SHA512
146 AC_REQUIRE([gl_C99_STRTOLD])
147 gl_FUNC_DUP2
148 if test $HAVE_DUP2 = 0 || test $REPLACE_DUP2 = 1; then
149 AC_LIBOBJ([dup2])
150 gl_PREREQ_DUP2
151 fi
152 gl_UNISTD_MODULE_INDICATOR([dup2])
153 gl_ENVIRON
154 gl_UNISTD_MODULE_INDICATOR([environ])
155 AC_REQUIRE([gl_EXTERN_INLINE])
156 gl_FILEMODE
157 gl_GETLOADAVG
158 if test $HAVE_GETLOADAVG = 0; then
159 AC_LIBOBJ([getloadavg])
160 gl_PREREQ_GETLOADAVG
161 fi
162 gl_STDLIB_MODULE_INDICATOR([getloadavg])
163 gl_FUNC_GETOPT_GNU
164 if test $REPLACE_GETOPT = 1; then
165 AC_LIBOBJ([getopt])
166 AC_LIBOBJ([getopt1])
167 gl_PREREQ_GETOPT
168 dnl Arrange for unistd.h to include getopt.h.
169 GNULIB_GL_UNISTD_H_GETOPT=1
170 fi
171 AC_SUBST([GNULIB_GL_UNISTD_H_GETOPT])
172 gl_MODULE_INDICATOR_FOR_TESTS([getopt-gnu])
173 gl_FUNC_GETOPT_POSIX
174 if test $REPLACE_GETOPT = 1; then
175 AC_LIBOBJ([getopt])
176 AC_LIBOBJ([getopt1])
177 gl_PREREQ_GETOPT
178 dnl Arrange for unistd.h to include getopt.h.
179 GNULIB_GL_UNISTD_H_GETOPT=1
180 fi
181 AC_SUBST([GNULIB_GL_UNISTD_H_GETOPT])
182 gl_GETTIME
183 gl_FUNC_GETTIMEOFDAY
184 if test $HAVE_GETTIMEOFDAY = 0 || test $REPLACE_GETTIMEOFDAY = 1; then
185 AC_LIBOBJ([gettimeofday])
186 gl_PREREQ_GETTIMEOFDAY
187 fi
188 gl_SYS_TIME_MODULE_INDICATOR([gettimeofday])
189 AC_REQUIRE([AC_C_INLINE])
190 gl_INTTYPES_INCOMPLETE
191 AC_REQUIRE([gl_LARGEFILE])
192 gl_FUNC_LSTAT
193 if test $REPLACE_LSTAT = 1; then
194 AC_LIBOBJ([lstat])
195 gl_PREREQ_LSTAT
196 fi
197 gl_SYS_STAT_MODULE_INDICATOR([lstat])
198 gl_FUNC_MKTIME
199 if test $REPLACE_MKTIME = 1; then
200 AC_LIBOBJ([mktime])
201 gl_PREREQ_MKTIME
202 fi
203 gl_TIME_MODULE_INDICATOR([mktime])
204 gl_MULTIARCH
205 gl_FUNC_PSELECT
206 if test $HAVE_PSELECT = 0 || test $REPLACE_PSELECT = 1; then
207 AC_LIBOBJ([pselect])
208 fi
209 gl_SYS_SELECT_MODULE_INDICATOR([pselect])
210 gl_FUNC_PTHREAD_SIGMASK
211 if test $HAVE_PTHREAD_SIGMASK = 0 || test $REPLACE_PTHREAD_SIGMASK = 1; then
212 AC_LIBOBJ([pthread_sigmask])
213 gl_PREREQ_PTHREAD_SIGMASK
214 fi
215 gl_SIGNAL_MODULE_INDICATOR([pthread_sigmask])
216 gl_FUNC_READLINK
217 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
218 AC_LIBOBJ([readlink])
219 gl_PREREQ_READLINK
220 fi
221 gl_UNISTD_MODULE_INDICATOR([readlink])
222 gl_SIGNAL_H
223 gl_TYPE_SOCKLEN_T
224 gt_TYPE_SSIZE_T
225 gl_STAT_TIME
226 gl_STAT_BIRTHTIME
227 gl_STDALIGN_H
228 gl_STDARG_H
229 AM_STDBOOL_H
230 gl_STDDEF_H
231 gl_STDINT_H
232 gl_STDIO_H
233 gl_STDLIB_H
234 gl_FUNC_GNU_STRFTIME
235 gl_FUNC_STRTOIMAX
236 if test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; then
237 AC_LIBOBJ([strtoimax])
238 gl_PREREQ_STRTOIMAX
239 fi
240 gl_INTTYPES_MODULE_INDICATOR([strtoimax])
241 gl_FUNC_STRTOUMAX
242 if test $ac_cv_func_strtoumax = no; then
243 AC_LIBOBJ([strtoumax])
244 gl_PREREQ_STRTOUMAX
245 fi
246 gl_INTTYPES_MODULE_INDICATOR([strtoumax])
247 gl_FUNC_SYMLINK
248 if test $HAVE_SYMLINK = 0 || test $REPLACE_SYMLINK = 1; then
249 AC_LIBOBJ([symlink])
250 fi
251 gl_UNISTD_MODULE_INDICATOR([symlink])
252 gl_HEADER_SYS_SELECT
253 AC_PROG_MKDIR_P
254 gl_HEADER_SYS_STAT_H
255 AC_PROG_MKDIR_P
256 gl_HEADER_SYS_TIME_H
257 AC_PROG_MKDIR_P
258 gl_HEADER_TIME_H
259 gl_TIME_R
260 if test $HAVE_LOCALTIME_R = 0 || test $REPLACE_LOCALTIME_R = 1; then
261 AC_LIBOBJ([time_r])
262 gl_PREREQ_TIME_R
263 fi
264 gl_TIME_MODULE_INDICATOR([time_r])
265 gl_TIMESPEC
266 gl_UNISTD_H
267 gl_UTIMENS
268 gl_gnulib_enabled_dosname=false
269 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=false
270 gl_gnulib_enabled_pathmax=false
271 gl_gnulib_enabled_stat=false
272 gl_gnulib_enabled_strtoll=false
273 gl_gnulib_enabled_strtoull=false
274 gl_gnulib_enabled_verify=false
275 func_gl_gnulib_m4code_dosname ()
276 {
277 if ! $gl_gnulib_enabled_dosname; then
278 gl_gnulib_enabled_dosname=true
279 fi
280 }
281 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36 ()
282 {
283 if ! $gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36; then
284 AC_SUBST([LIBINTL])
285 AC_SUBST([LTLIBINTL])
286 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=true
287 fi
288 }
289 func_gl_gnulib_m4code_pathmax ()
290 {
291 if ! $gl_gnulib_enabled_pathmax; then
292 gl_PATHMAX
293 gl_gnulib_enabled_pathmax=true
294 fi
295 }
296 func_gl_gnulib_m4code_stat ()
297 {
298 if ! $gl_gnulib_enabled_stat; then
299 gl_FUNC_STAT
300 if test $REPLACE_STAT = 1; then
301 AC_LIBOBJ([stat])
302 gl_PREREQ_STAT
303 fi
304 gl_SYS_STAT_MODULE_INDICATOR([stat])
305 gl_gnulib_enabled_stat=true
306 if test $REPLACE_STAT = 1; then
307 func_gl_gnulib_m4code_dosname
308 fi
309 if test $REPLACE_STAT = 1; then
310 func_gl_gnulib_m4code_pathmax
311 fi
312 if test $REPLACE_STAT = 1; then
313 func_gl_gnulib_m4code_verify
314 fi
315 fi
316 }
317 func_gl_gnulib_m4code_strtoll ()
318 {
319 if ! $gl_gnulib_enabled_strtoll; then
320 gl_FUNC_STRTOLL
321 if test $HAVE_STRTOLL = 0; then
322 AC_LIBOBJ([strtoll])
323 gl_PREREQ_STRTOLL
324 fi
325 gl_STDLIB_MODULE_INDICATOR([strtoll])
326 gl_gnulib_enabled_strtoll=true
327 fi
328 }
329 func_gl_gnulib_m4code_strtoull ()
330 {
331 if ! $gl_gnulib_enabled_strtoull; then
332 gl_FUNC_STRTOULL
333 if test $HAVE_STRTOULL = 0; then
334 AC_LIBOBJ([strtoull])
335 gl_PREREQ_STRTOULL
336 fi
337 gl_STDLIB_MODULE_INDICATOR([strtoull])
338 gl_gnulib_enabled_strtoull=true
339 fi
340 }
341 func_gl_gnulib_m4code_verify ()
342 {
343 if ! $gl_gnulib_enabled_verify; then
344 gl_gnulib_enabled_verify=true
345 fi
346 }
347 if test $REPLACE_GETOPT = 1; then
348 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36
349 fi
350 if test $REPLACE_LSTAT = 1; then
351 func_gl_gnulib_m4code_dosname
352 fi
353 if test $REPLACE_LSTAT = 1; then
354 func_gl_gnulib_m4code_stat
355 fi
356 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
357 func_gl_gnulib_m4code_stat
358 fi
359 if { test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; } && test $ac_cv_type_long_long_int = yes; then
360 func_gl_gnulib_m4code_strtoll
361 fi
362 if test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; then
363 func_gl_gnulib_m4code_verify
364 fi
365 if test $ac_cv_func_strtoumax = no && test $ac_cv_type_unsigned_long_long_int = yes; then
366 func_gl_gnulib_m4code_strtoull
367 fi
368 if test $ac_cv_func_strtoumax = no; then
369 func_gl_gnulib_m4code_verify
370 fi
371 m4_pattern_allow([^gl_GNULIB_ENABLED_])
372 AM_CONDITIONAL([gl_GNULIB_ENABLED_dosname], [$gl_gnulib_enabled_dosname])
373 AM_CONDITIONAL([gl_GNULIB_ENABLED_be453cec5eecf5731a274f2de7f2db36], [$gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36])
374 AM_CONDITIONAL([gl_GNULIB_ENABLED_pathmax], [$gl_gnulib_enabled_pathmax])
375 AM_CONDITIONAL([gl_GNULIB_ENABLED_stat], [$gl_gnulib_enabled_stat])
376 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoll], [$gl_gnulib_enabled_strtoll])
377 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoull], [$gl_gnulib_enabled_strtoull])
378 AM_CONDITIONAL([gl_GNULIB_ENABLED_verify], [$gl_gnulib_enabled_verify])
379 # End of code from modules
380 m4_ifval(gl_LIBSOURCES_LIST, [
381 m4_syscmd([test ! -d ]m4_defn([gl_LIBSOURCES_DIR])[ ||
382 for gl_file in ]gl_LIBSOURCES_LIST[ ; do
383 if test ! -r ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file ; then
384 echo "missing file ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file" >&2
385 exit 1
386 fi
387 done])dnl
388 m4_if(m4_sysval, [0], [],
389 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
390 ])
391 m4_popdef([gl_LIBSOURCES_DIR])
392 m4_popdef([gl_LIBSOURCES_LIST])
393 m4_popdef([AC_LIBSOURCES])
394 m4_popdef([AC_REPLACE_FUNCS])
395 m4_popdef([AC_LIBOBJ])
396 AC_CONFIG_COMMANDS_PRE([
397 gl_libobjs=
398 gl_ltlibobjs=
399 if test -n "$gl_LIBOBJS"; then
400 # Remove the extension.
401 sed_drop_objext='s/\.o$//;s/\.obj$//'
402 for i in `for i in $gl_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
403 gl_libobjs="$gl_libobjs $i.$ac_objext"
404 gl_ltlibobjs="$gl_ltlibobjs $i.lo"
405 done
406 fi
407 AC_SUBST([gl_LIBOBJS], [$gl_libobjs])
408 AC_SUBST([gl_LTLIBOBJS], [$gl_ltlibobjs])
409 ])
410 gltests_libdeps=
411 gltests_ltlibdeps=
412 m4_pushdef([AC_LIBOBJ], m4_defn([gltests_LIBOBJ]))
413 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gltests_REPLACE_FUNCS]))
414 m4_pushdef([AC_LIBSOURCES], m4_defn([gltests_LIBSOURCES]))
415 m4_pushdef([gltests_LIBSOURCES_LIST], [])
416 m4_pushdef([gltests_LIBSOURCES_DIR], [])
417 gl_COMMON
418 gl_source_base='tests'
419 changequote(,)dnl
420 gltests_WITNESS=IN_`echo "${PACKAGE-$PACKAGE_TARNAME}" | LC_ALL=C tr abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ | LC_ALL=C sed -e 's/[^A-Z0-9_]/_/g'`_GNULIB_TESTS
421 changequote([, ])dnl
422 AC_SUBST([gltests_WITNESS])
423 gl_module_indicator_condition=$gltests_WITNESS
424 m4_pushdef([gl_MODULE_INDICATOR_CONDITION], [$gl_module_indicator_condition])
425 m4_pattern_allow([^gl_GNULIB_ENABLED_])
426 m4_popdef([gl_MODULE_INDICATOR_CONDITION])
427 m4_ifval(gltests_LIBSOURCES_LIST, [
428 m4_syscmd([test ! -d ]m4_defn([gltests_LIBSOURCES_DIR])[ ||
429 for gl_file in ]gltests_LIBSOURCES_LIST[ ; do
430 if test ! -r ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file ; then
431 echo "missing file ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file" >&2
432 exit 1
433 fi
434 done])dnl
435 m4_if(m4_sysval, [0], [],
436 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
437 ])
438 m4_popdef([gltests_LIBSOURCES_DIR])
439 m4_popdef([gltests_LIBSOURCES_LIST])
440 m4_popdef([AC_LIBSOURCES])
441 m4_popdef([AC_REPLACE_FUNCS])
442 m4_popdef([AC_LIBOBJ])
443 AC_CONFIG_COMMANDS_PRE([
444 gltests_libobjs=
445 gltests_ltlibobjs=
446 if test -n "$gltests_LIBOBJS"; then
447 # Remove the extension.
448 sed_drop_objext='s/\.o$//;s/\.obj$//'
449 for i in `for i in $gltests_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
450 gltests_libobjs="$gltests_libobjs $i.$ac_objext"
451 gltests_ltlibobjs="$gltests_ltlibobjs $i.lo"
452 done
453 fi
454 AC_SUBST([gltests_LIBOBJS], [$gltests_libobjs])
455 AC_SUBST([gltests_LTLIBOBJS], [$gltests_ltlibobjs])
456 ])
457 LIBGNU_LIBDEPS="$gl_libdeps"
458 AC_SUBST([LIBGNU_LIBDEPS])
459 LIBGNU_LTLIBDEPS="$gl_ltlibdeps"
460 AC_SUBST([LIBGNU_LTLIBDEPS])
461 ])
462
463 # Like AC_LIBOBJ, except that the module name goes
464 # into gl_LIBOBJS instead of into LIBOBJS.
465 AC_DEFUN([gl_LIBOBJ], [
466 AS_LITERAL_IF([$1], [gl_LIBSOURCES([$1.c])])dnl
467 gl_LIBOBJS="$gl_LIBOBJS $1.$ac_objext"
468 ])
469
470 # Like AC_REPLACE_FUNCS, except that the module name goes
471 # into gl_LIBOBJS instead of into LIBOBJS.
472 AC_DEFUN([gl_REPLACE_FUNCS], [
473 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
474 AC_CHECK_FUNCS([$1], , [gl_LIBOBJ($ac_func)])
475 ])
476
477 # Like AC_LIBSOURCES, except the directory where the source file is
478 # expected is derived from the gnulib-tool parameterization,
479 # and alloca is special cased (for the alloca-opt module).
480 # We could also entirely rely on EXTRA_lib..._SOURCES.
481 AC_DEFUN([gl_LIBSOURCES], [
482 m4_foreach([_gl_NAME], [$1], [
483 m4_if(_gl_NAME, [alloca.c], [], [
484 m4_define([gl_LIBSOURCES_DIR], [lib])
485 m4_append([gl_LIBSOURCES_LIST], _gl_NAME, [ ])
486 ])
487 ])
488 ])
489
490 # Like AC_LIBOBJ, except that the module name goes
491 # into gltests_LIBOBJS instead of into LIBOBJS.
492 AC_DEFUN([gltests_LIBOBJ], [
493 AS_LITERAL_IF([$1], [gltests_LIBSOURCES([$1.c])])dnl
494 gltests_LIBOBJS="$gltests_LIBOBJS $1.$ac_objext"
495 ])
496
497 # Like AC_REPLACE_FUNCS, except that the module name goes
498 # into gltests_LIBOBJS instead of into LIBOBJS.
499 AC_DEFUN([gltests_REPLACE_FUNCS], [
500 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
501 AC_CHECK_FUNCS([$1], , [gltests_LIBOBJ($ac_func)])
502 ])
503
504 # Like AC_LIBSOURCES, except the directory where the source file is
505 # expected is derived from the gnulib-tool parameterization,
506 # and alloca is special cased (for the alloca-opt module).
507 # We could also entirely rely on EXTRA_lib..._SOURCES.
508 AC_DEFUN([gltests_LIBSOURCES], [
509 m4_foreach([_gl_NAME], [$1], [
510 m4_if(_gl_NAME, [alloca.c], [], [
511 m4_define([gltests_LIBSOURCES_DIR], [tests])
512 m4_append([gltests_LIBSOURCES_LIST], _gl_NAME, [ ])
513 ])
514 ])
515 ])
516
517 # This macro records the list of files which have been installed by
518 # gnulib-tool and may be removed by future gnulib-tool invocations.
519 AC_DEFUN([gl_FILE_LIST], [
520 build-aux/snippet/_Noreturn.h
521 build-aux/snippet/arg-nonnull.h
522 build-aux/snippet/c++defs.h
523 build-aux/snippet/warn-on-use.h
524 lib/alloca.in.h
525 lib/allocator.c
526 lib/allocator.h
527 lib/c-ctype.c
528 lib/c-ctype.h
529 lib/c-strcase.h
530 lib/c-strcasecmp.c
531 lib/c-strncasecmp.c
532 lib/careadlinkat.c
533 lib/careadlinkat.h
534 lib/dosname.h
535 lib/dtoastr.c
536 lib/dtotimespec.c
537 lib/dup2.c
538 lib/filemode.c
539 lib/filemode.h
540 lib/ftoastr.c
541 lib/ftoastr.h
542 lib/getloadavg.c
543 lib/getopt.c
544 lib/getopt.in.h
545 lib/getopt1.c
546 lib/getopt_int.h
547 lib/gettext.h
548 lib/gettime.c
549 lib/gettimeofday.c
550 lib/ignore-value.h
551 lib/intprops.h
552 lib/inttypes.in.h
553 lib/lstat.c
554 lib/md5.c
555 lib/md5.h
556 lib/mktime-internal.h
557 lib/mktime.c
558 lib/pathmax.h
559 lib/pselect.c
560 lib/pthread_sigmask.c
561 lib/readlink.c
562 lib/sha1.c
563 lib/sha1.h
564 lib/sha256.c
565 lib/sha256.h
566 lib/sha512.c
567 lib/sha512.h
568 lib/signal.in.h
569 lib/stat-time.c
570 lib/stat-time.h
571 lib/stat.c
572 lib/stdalign.in.h
573 lib/stdarg.in.h
574 lib/stdbool.in.h
575 lib/stddef.in.h
576 lib/stdint.in.h
577 lib/stdio.in.h
578 lib/stdlib.in.h
579 lib/strftime.c
580 lib/strftime.h
581 lib/strtoimax.c
582 lib/strtol.c
583 lib/strtoll.c
584 lib/strtoul.c
585 lib/strtoull.c
586 lib/strtoumax.c
587 lib/symlink.c
588 lib/sys_select.in.h
589 lib/sys_stat.in.h
590 lib/sys_time.in.h
591 lib/time.in.h
592 lib/time_r.c
593 lib/timespec-add.c
594 lib/timespec-sub.c
595 lib/timespec.c
596 lib/timespec.h
597 lib/u64.c
598 lib/u64.h
599 lib/unistd.in.h
600 lib/utimens.c
601 lib/utimens.h
602 lib/verify.h
603 m4/00gnulib.m4
604 m4/alloca.m4
605 m4/c-strtod.m4
606 m4/clock_time.m4
607 m4/dup2.m4
608 m4/environ.m4
609 m4/extensions.m4
610 m4/extern-inline.m4
611 m4/filemode.m4
612 m4/getloadavg.m4
613 m4/getopt.m4
614 m4/gettime.m4
615 m4/gettimeofday.m4
616 m4/gnulib-common.m4
617 m4/include_next.m4
618 m4/inttypes.m4
619 m4/largefile.m4
620 m4/longlong.m4
621 m4/lstat.m4
622 m4/manywarnings.m4
623 m4/md5.m4
624 m4/mktime.m4
625 m4/multiarch.m4
626 m4/nocrash.m4
627 m4/off_t.m4
628 m4/pathmax.m4
629 m4/pselect.m4
630 m4/pthread_sigmask.m4
631 m4/readlink.m4
632 m4/sha1.m4
633 m4/sha256.m4
634 m4/sha512.m4
635 m4/signal_h.m4
636 m4/socklen.m4
637 m4/ssize_t.m4
638 m4/st_dm_mode.m4
639 m4/stat-time.m4
640 m4/stat.m4
641 m4/stdalign.m4
642 m4/stdarg.m4
643 m4/stdbool.m4
644 m4/stddef_h.m4
645 m4/stdint.m4
646 m4/stdio_h.m4
647 m4/stdlib_h.m4
648 m4/strftime.m4
649 m4/strtoimax.m4
650 m4/strtoll.m4
651 m4/strtoull.m4
652 m4/strtoumax.m4
653 m4/symlink.m4
654 m4/sys_select_h.m4
655 m4/sys_socket_h.m4
656 m4/sys_stat_h.m4
657 m4/sys_time_h.m4
658 m4/time_h.m4
659 m4/time_r.m4
660 m4/timespec.m4
661 m4/tm_gmtoff.m4
662 m4/unistd_h.m4
663 m4/utimbuf.m4
664 m4/utimens.m4
665 m4/utimes.m4
666 m4/warn-on-use.m4
667 m4/warnings.m4
668 m4/wchar_t.m4
669 ])